=== debian/changelog ===
txlongpoll (0.3.1+bzr86-0ubuntu3) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:23 +0000

txlongpoll (0.3.1+bzr86-0ubuntu2) quantal; urgency=low

  * debian/control: Add missing Depends on python-formencode and python-yaml.
  * Drop 'txlongpoll' binary package, as it only ships an upstart job and
    a config which are not really necessary. (LP: #961389)
    - debian/txlongpoll.{install,upstart}: Drop.
    - debian/control: Drop binary package.
    - debian/rules: Do not override dh_install_init. No longer needed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Jul 2012 10:46:29 -0400

txlongpoll (0.3.1+bzr86-0ubuntu1) precise; urgency=low

  * Initial release (LP: #954484)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 14 Mar 2012 12:14:31 -0400
