=== debian/control ===
Source: txlongpoll
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python (>= 2.7), python-setuptools
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/txlongpoll

Package: python-txlongpoll
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-formencode,
         python-oops-amqp,
         python-oops-datedir-repo (>= 0.0.13),
         python-oops-twisted (>= 0.0.3),
         python-twisted,
         python-txamqp (>= 0.5),
         python-yaml,
         python-zope.interface
Description: Long polling HTTP frontend for AMQP
 Long polling HTTP frontend for AMQP.  It is a generic long
 poll server used by Launchpad and Landscape.
 .
 This package contains the python module.
