=== debian/watch ===
version=3
http://launchpad.net/txlongpoll/+download https://launchpad.net/txlongpoll/.*/txlongpoll-(.*).tar.*
